Adobe Technical Communication Suite 4.0.1 is here and Acrobat XI Pro is part of it!!

Tuesday, October 16 2012 @ 5:10 PM, By Ankur Jain

Today we began shipping our newest and most powerful technical communication solution – Adobe Technical Communication Suite 4.0.1. Acrobat XI Pro is now part of the Adobe Technical Communication Suite and that’s the key change in this 4.0.1 update.

Acrobat XI has the features you asked for and the capabilities to let you handle the most complex document challenges. Features like making it easier than ever to edit PDF files and export to Microsoft PowerPoint; touch-friendly capabilities on tablets, and ensuring interoperability with Windows 7 and 8. Acrobat XI also lets you update text directly in PDF, automatically wrap paragraph text, search and replace words in a PDF file, and crop, adjust, or replace images, with the newly designed Edit Text and Images tool.

Adobe Technical Communication Suite 4.0.1 integrates the latest versions of Adobe’s content creation tools to help users author, enrich, review, manage and publish high-impact technical content. The Suite includes FrameMaker 11RoboHelp 10Illustrator CS6Captivate 6Acrobat XIPro, and Presenter 8.

And here is the other exciting part of this big news: the existing customers of Adobe Technical Communication Suite 4 get this update for free! That’s a saving of $199. Isn’t that great?

Ankur Jain
Senior Product Manager – Technical Communication Suite, RoboHelp, RoboHelp Server

COMMENTS

  • Categories

  • Archives

  • Authors

  • Useful Links

  • Recent Comments

    • Don Bridges: I expect privacy concerns will tamper IoT for our homes and consumers, but for business it will usher a...
    • Lois Patterson: I’m always happy to see math support, although I’m not currently using FrameMaker. I have...
    • Olga: I know it’s a really old post but I was unable to find any information online. I need to number the...
    • click: yes. http://wwwimages.adobe.com/www .adobe.com/content/dam/Adobe/e n/volume-licensing/pdfs/avl...
    • tiggyboo: I know the specs say IE 9 or greater is required – but was Server 12 developed specifically for IE or...